Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.formatbynodedata.distanceadapters
Class LabelTextHeightAdapter

    java.lang.Object
      info.bioinfweb.treegraph.gui.dialogs.formatbynodedata.distanceadapters.LabelTextHeightAdapter

All Implemented Interfaces:
  DistanceAdapter

    public class LabelTextHeightAdapter

extends Object
implements DistanceAdapter

Since:
  2.0.23
Author:
  Ben Stöver

Field Summary
`(package private) String` | `id`

Constructor Summary
`LabelTextHeightAdapter(String id)`

Method Summary
`float` | `getDistance(Node node)` Returns the text height of the label with the specified ID in millimeters.
`void` | `setDistance(float distance, Node node)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    String id

Constructor Detail

### LabelTextHeightAdapter

    public LabelTextHeightAdapter(String id)

Method Detail

### setDistance

    public void setDistance(float distance,
                            Node node)

  Specified by:
    `setDistance` in interface `DistanceAdapter`
  Parameters:
    `distance` - - the new distance value in millimeters

### getDistance

    public float getDistance(Node node)

  Returns the text height of the label with the specified ID in millimeters.

  Specified by:
    `getDistance` in interface `DistanceAdapter`
  Parameters:
    `node` -
  Returns:
    the text height or `Float.NaN` if no label with this ID exists on the specified node
  See Also:
    `DistanceAdapter.getDistance(info.bioinfweb.treegraph.document.Node)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD